> ## Name

> cgGetFirstState - get the first state definition in a context

> ## Synopsis

>     #include <Cg/cg.h>

>     CGstate cgGetFirstState( CGcontext context );

> ## Parameters

> context
>   The context from which to retrieve the first state definition.

> ## Return Values

> Returns the first CGstate object in context.

> Returns NULL if context contains no state definitions or an error occurs.

> ## Description

> cgGetFirstState is used to begin iteration over all of the state definitions contained within a context. See cgGetNextState for more information.

> ## Examples

> to-be-written

> ## Errors

> CG_INVALID_CONTEXT_HANDLE_ERROR is generated if context is not a valid context.

> ## History

> cgGetFirstState was introduced in Cg 1.4.

> ## See Also

> cgGetNextState, cgGetNamedState, cgIsState